Find an item by barcode (deprecated)
**Deprecated.** Use `POST {sessionId}/scan` instead, which also resolves customer cards. Returns the session items matching the scanned barcode. Requires `Permissions.PosShoppingSession.View`.
Deprecated
BearerAuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
sessionId*integerint64application/json- body
barcode?stringquantity?numberdecimalapplication/json- response
[index: integer]?curl -X POST 'https://<your-instance>/api/documents/pos/shopping-session/0/find-item' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'[ { "id": 0, "internalNumber": 0, "productId": 0, "barcode": "string", "branchId": 0, "brokerId": 0, "cancellationOriginalItemGuid": "string", "color": "string", "colorId": 0, "commissionAmount": 0, "commissionVatRateId": 0, "createdAt": "2019-08-24T14:15:22Z", "customerCardId": 0, "customerCardId1": 0, "customerId": 0, "dateOfCreation": "2019-08-24T14:15:22Z", "deliveryAddressId": 0, "dimension": "string", "dimensionId": 0, "discount": 0, "discountReasonId": 0, "electronicSecurity": true, "fixedPromotion": true, "foreignCurrencyExchangeRate": 0, "foreignCurrencyId": 0, "foreignPrice": 0, "hasPriceFromBarcode": true, "hasPriceFromPackage": true, "headerInternalId": 0, "insuranceId": 0, "insurancePrice": 0, "isBazaar": true, "isCancellation": true, "isDownPayment": true, "isEuRetail": true, "isReturnablePackaging": true, "isTakeAway": true, "isVoucher": true, "item": 0, "length": "string", "lengthId": 0, "manualDiscount": 0, "manualDiscountPercentage": 0, "manualDiscountReasonId": 0, "manuallyEnteredPrice": true, "minimalAge": 0, "minimalAgeType": "string", "note1": "string", "note2": "string", "note3": "string", "note4": "string", "orderCustomerItemId": 0, "orderCustomerItemVariantId": 0, "orderInternetItemId": 0, "orderInternetItemVariantId": 0, "packagePrice": 0, "points": 0, "posId": 0, "price": 0, "priceId": 0, "priceWoVat": 0, "productCode": "string", "productName": "string", "promotionBarcode": "string", "promotionId": 0, "quantity": 0, "recyclingFee": 0, "recyclingFeeId": 0, "reservationItemId": 0, "reservationItemVariantId": 0, "royalty": 0, "royaltyId": 0, "setPrice": 0, "size": "string", "sizeId": 0, "skDocumentId": "string", "stockPrice": 0, "totalPrice": 0, "totalPriceWoVat": 0, "unit": "string", "unitId": 0, "userId": 0, "variant": "string", "variantId": 0, "vatRate": 0, "warehouseId": 0, "warehouseSellingPrice": 0, "weight": 0, "dependentProducts": [ { "id": 0, "internalNumber": 0, "productId": 0, "barcode": "string", "branchId": 0, "brokerId": 0, "cancellationOriginalItemGuid": "string", "color": "string", "colorId": 0, "commissionAmount": 0, "commissionVatRateId": 0, "createdAt": "2019-08-24T14:15:22Z", "customerCardId": 0, "customerCardId1": 0, "customerId": 0, "dateOfCreation": "2019-08-24T14:15:22Z", "deliveryAddressId": 0, "dimension": "string", "dimensionId": 0, "discount": 0, "discountReasonId": 0, "electronicSecurity": true, "fixedPromotion": true, "foreignCurrencyExchangeRate": 0, "foreignCurrencyId": 0, "foreignPrice": 0, "hasPriceFromBarcode": true, "hasPriceFromPackage": true, "headerInternalId": 0, "insuranceId": 0, "insurancePrice": 0, "isBazaar": true, "isCancellation": true, "isDownPayment": true, "isEuRetail": true, "isReturnablePackaging": true, "isTakeAway": true, "isVoucher": true, "item": 0, "length": "string", "lengthId": 0, "manualDiscount": 0, "manualDiscountPercentage": 0, "manualDiscountReasonId": 0, "manuallyEnteredPrice": true, "minimalAge": 0, "minimalAgeType": "string", "note1": "string", "note2": "string", "note3": "string", "note4": "string", "orderCustomerItemId": 0, "orderCustomerItemVariantId": 0, "orderInternetItemId": 0, "orderInternetItemVariantId": 0, "packagePrice": 0, "points": 0, "posId": 0, "price": 0, "priceId": 0, "priceWoVat": 0, "productCode": "string", "productName": "string", "promotionBarcode": "string", "promotionId": 0, "quantity": 0, "recyclingFee": 0, "recyclingFeeId": 0, "reservationItemId": 0, "reservationItemVariantId": 0, "royalty": 0, "royaltyId": 0, "setPrice": 0, "size": "string", "sizeId": 0, "skDocumentId": "string", "stockPrice": 0, "totalPrice": 0, "totalPriceWoVat": 0, "unit": "string", "unitId": 0, "userId": 0, "variant": "string", "variantId": 0, "vatRate": 0, "warehouseId": 0, "warehouseSellingPrice": 0, "weight": 0, "dependentOnItemId": 0, "type": "ReturnablePackaging" } ] }]Update a shopping session PUT
Updates the session header and the items sent in the body, and returns the stored session. Requires `Permissions.PosShoppingSession.Update`.
Finish a shopping session POST
Validates the session, converts it into a POS receipt with its items and payments, and returns the receipt (201, `Location` header pointing at the receipt detail). Returns 400 with every validation violation in `messages` when the basket or its payments are not consistent. Cannot be undone. Requires `Permissions.PosShoppingSession.Update`.